//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import "PCAPISDKCommonHeader.h"

typedef enum {
    
    imageSharedFileType,
    musicSharedFileType,
    videoSharedFileType,
    documentSharedFileType,
    unknownSharedFileType
} sharedFileType;

@interface PCShareResource (Info)

// Return type of shared file.
- (sharedFileType)fileType;

// Return path to cache thumbnail image for this file.
- (NSString *)thumbnailCachePath;

// Return path to cache download image for this shared file.
- (NSString *)fileCachePath;

@end
