//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import "PCResourceAPIParams.h"

/*!
 * PCCreateShareAPIParams stores all the parameters required to create share.
 */
@interface PCCreateShareAPIParams : PCResourceAPIParams

/*!
 * The name of the share. (optional)
 */
@property (nonatomic, copy) NSString *name;

/*!
 * An array of PCResourceShareAPIParams object. (Required)
 */
@property (nonatomic, copy) NSArray *resources;

/*!
 *The time to live of the share in seconds. The value 0 signifies the share will never expire. Minimum value is 300. If not provided, defaults to 86400. (optional)
 
 */
@property (nonatomic, copy) NSNumber *expiresIn;


@end
