//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import <Foundation/Foundation.h>

/*!
 * PCShareResourceDownloader class used to download shared resource using url of shared file.
 */
@interface PCShareResourceDownloader : NSObject

// Download the shared resource and return progress and location url of the resource.
- (void)downloadSharedResource:(NSString *)url progress:(void(^)(long long bytesWritten, long long totalBytesWritten, long long totalBytesExpectedToWrite))progress withCompletionHandler:(void(^)(NSURLResponse *response, NSURL *location, NSError *error))completion;

//Cancel the download request.
- (void)cancelAPI;

@end
