//Copyright © 2015-2017, Verizon and/or its Licensors. All rights reserved.

#import "PCAccountInfo+additions.h"

@implementation PCAccountInfo (additions)

// Converting PCAccountInfo all information to NSString.
- (NSString *)humanReadableAccountInfo {
    NSString *quotaUsed = [NSByteCountFormatter stringFromByteCount:self.quotaUsed countStyle:NSByteCountFormatterCountStyleBinary];
    NSString *quota = [NSByteCountFormatter stringFromByteCount:self.quota countStyle:NSByteCountFormatterCountStyleBinary];
    
    
    NSString *humanReadableAccountInfo;
    if ([self.alias length]) {
         humanReadableAccountInfo = [NSString stringWithFormat:@"Used space: %@ \n Total space: %@ \n MDN: %@ \n ID: %@", quotaUsed, quota,self.alias,self.ID];
    }else{
        humanReadableAccountInfo = [NSString stringWithFormat:@"Used space: %@ \n Total space: %@ \n ID: %@", quotaUsed, quota,self.ID];
    }
   
    return humanReadableAccountInfo;
}

@end
